Skip to Content

get tidb cluster service - GetTiDBClusterService

Overview

get tidb cluster service

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is GetTiDBClusterService.Yes
PublicKeystringThe user’s public key can be obtained from Console Yes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
RegionstringRegion. See Region and Zone ListYes
ZonestringZone. See Region and Zone ListNo
ProjectIdstringProject ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the GetProjectList APINo
Idstringservice idYes

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
DataUTiDBServiceDatacluster infoYes

Data Model

UTiDBServiceData

Field NameTypeDescription InformationRequired
GrafanaUrlstringgrafana urlNo
Idstringcluster idNo
Namestringcluster nameNo
Ipstringcluster ipNo
Portintcluster portNo
Statestringcluster stateNo
TiFlashStatestringcluster TiFlash stateNo
BinlogStatestringcluster Binlog stateNo
AutoBackupstringcluster auto backup stateNo
VPCIdstringVPC IDNo
SubnetIdstringsubnet idNo
Versionstringcluster versionNo
DTTypeintdt typeNo
DashboardUrlstringdashboard urlNo
CreateTimeintcreate timeNo

Example

Request Example

https://api.ucloud-global.com/?Action=GetTiDBClusterService &Region=cn-zj &Zone=cn-zj-01 &ProjectId=VDWpekbh &Id=KtUkbOjg

Response Example

{ "Action": "GetTiDBClusterServiceResponse", "Data": {}, "RetCode": 0 }